Description

in vpn_I2tp.php
Remote address range remoteip is required even if
RADIUS issued IPs radiusissueips is set.

Per vpn_I2tp_configure remoteip is not used if radiusissueips is set.
(as it sets to undocumented 0.0.0.0/0 peer).
Is remoteip really required?

While there only set clientip is not radiusissueips(l noticed this while working on my book.

My list of bugs is at http://reedmedia.net/books/pfsense/bugs.html )

Associated revisions

Revision ad1a6de3 - 04/06/2020 08:51 AM - Viktor Gurov
L2TP RADIUS issued IPs fix. Issue #7562

History

#1 - 08/21/2019 10:52 AM - Jim Pingle
- Category changed from VPN (Multiple Types) to L2TP

#2 - 04/06/2020 09:01 AM - Viktor Gurov
https://github.com/pfsense/pfsense/pull/4267

#3 - 04/06/2020 09:13 AM - Jim Pingle
- Status changed from New to Pull Request Review

- Target version set to 2.5.0
#4 - 04/06/2020 11:04 AM - Renato Botelho
- Status changed from Pull Request Review to Feedback

- Assignee set to Renato Botelho

- % Done changed from 0 to 100

PR has been merged. Thanks!

#5 - 04/10/2020 03:21 AM - Viktor Gurov

- Status changed from Feedback to Resolved

works as expected on 2.5.0.a.20200409.0657

05/11/2021

1/1



http://reedmedia.net/books/pfsense/bugs.html
https://github.com/pfsense/pfsense/pull/4267
http://www.tcpdf.org

